/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#include <qlcdnumber.h>
#include <qtimer.h>
#include <qdatetime.h>

#include "clock.h"


Clock::Clock( QWidget * parent, const char * name, WFlags f )
    : QLCDNumber( parent, name /*, f*/ )
{
    setNumDigits( 8 );
    setSegmentStyle( QLCDNumber::Filled );
    display( QTime::currentTime().toString() );

    setCaption( "Clock" );

    t = new QTimer( this );
    connect( t, SIGNAL( timeout() ), SLOT( updateClock() ) );
    t->start( 1000 );

    resize( 100, 30 );
}

void Clock::updateClock()
{
    display( QTime::currentTime().toString() );
}



