/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#include <qmap.h>

class QString;

class FileTypeInfoDB
{
public:
    static FileTypeInfoDB * instance();
    
    void setType( const QString & ext, const QString & type, 
		  const QString & pix, const QString & appname = "" );
    QString type( const QString & file );
    QString pixmap( const QString & s );
    QString appname( const QString & s );
    void    load( const QString & fname );
    void    save( const QString & fname );
    
protected:
    FileTypeInfoDB();

private:
    typedef struct _FileTypeInfo {
	QString ftype;
	QString pixname;
	QString appname;
    } FileTypeInfo;
    
    typedef QMap<QString, FileTypeInfo> FileTypes;
    FileTypes db;
};

