/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#include <qwidget.h>
#include <qdialog.h>
#include "qimpenchar.h"

class QComboBox;
class QListBox;
class QLineEdit;
class QListBoxItem;
class QIMPenWidget;

class QIMPenInputCharDlg : public QDialog
{
    Q_OBJECT
public:
    QIMPenInputCharDlg( QWidget *parent = 0, const char *name = 0,
                    bool modal = FALSE, int WFlags = 0 );

    unsigned int unicode() const { return uni; }

protected:
    void addSpecial( QComboBox * );

protected slots:
    void setSpecial( int sp );
    void setCharacter( const QString &string );

protected:
    uint uni;
};

class QIMPenCreateCharSet : public QWidget
{
    Q_OBJECT
public:
    QIMPenCreateCharSet();
    ~QIMPenCreateCharSet();

    void load( const QString &fn );

protected:
    void fillList();

protected slots:
    void load();
    void save();
    void up();
    void down();
    void add();
    void remove();
    void clear();
    void duplicate();
    void edit();
    void newStroke( QIMPenStroke *pc );
    void charSelected( QListBoxItem * );

protected:
    QString filename;
    QLineEdit *title;
    QLineEdit *desc;
    QListBox *charList;
    QIMPenWidget *pw;
    QIMPenChar *penChar;
    QIMPenChar *editChar;
    QIMPenCharSet *charSet;
};

