/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#include "qpeapplication.h"
#include "pixmaploader.h"
#include <qfile.h>

QPixmap PixmapLoader::loadPixmap( const QString &pix ) 
{
    return QPixmap( findPixmap( pix ) );
}

QString PixmapLoader::findPixmap( const QString &pix )
{
    QString picsPath = QPEApplication::qpeDir() + "pics/";

    if ( QFile( picsPath + pix + ".png").exists() )
	return picsPath + pix + ".png";
    else if ( QFile( picsPath + pix + ".xpm").exists() )
	return picsPath + pix + ".xpm";
    else if ( QFile( picsPath + pix ).exists() )
	return picsPath + pix;

    return QString();
}
