/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#include <qpeapplication.h>
#include "mpegplayer.h"
#include "mp3player.h"

int main(int argc, char **argv)
{
    QPEApplication a(argc,argv);

    bool mp3Mode = FALSE;

    for ( int arg = 0; arg < argc; arg++ )
	if ( QString( argv[arg] ) == QString( "-mp3mode" ) )
	    mp3Mode = TRUE;

    if (mp3Mode) {
	Mp3PlayerWindow *m = new Mp3PlayerWindow();
	m->setCaption( "Mp3Player" );
#ifdef _WS_QWS_
	m->showMaximized();
#endif
	m->show();
    } else if ( argc == 1 ) {
	MpegPlayer *m = new MpegPlayer;
#ifdef _WS_QWS_
	m->showMaximized();
#endif
	m->show();
    } else {
	for (int arg=1; arg<argc; arg++) {
	    MpegPlayer *m = new MpegPlayer;
	    if ( m->play(argv[arg]) )
		m->show();
	}
    }

    QObject::connect(&a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()));

    return a.exec();
}
