/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#ifndef MPEGPLAYER_H
#define MPEGPLAYER_H

#include <qmainwindow.h>
#include "filemanager.h"

class MpegView;
class MpegControl;
class FileSelector;
class QVBoxLayout;
class QWidgetStack;

class MpegPlayer : public QMainWindow {
    Q_OBJECT
public:
    MpegPlayer( QWidget* parent=0, const char* name=0, WFlags fl=0 );
    ~MpegPlayer();

    bool play(const QString& filename);

private slots:
    void open();
    void openFile( const FileManager::File & );
    void closeFileSelector();

    void normalView();
    void fullScreen();
private:
    QWidgetStack* stack;
    FileSelector* fileSelector;
    MpegControl *control;
    MpegView *mpeg;
    QWidget* mpegpanel;
    QVBoxLayout* vb;
    void relayout();
};

#endif
