/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#include <stdlib.h>
#include <time.h>
#include "cardgame.h"

    
void CardDeck::createDeck(void)
{
    for (int i = 0; i < 52; i++)
	cards[i] = newCard( (eValue)((i % 13) + 1), (eSuit)((i / 13) + 1), FALSE );
    for (int i = 0; i < getNumberOfJokers(); i++)
	cards[52 + i] = newCard( jokerVal, jokerSuit, FALSE );
}


void CardDeck::shuffle(void)
{
    srand(time(NULL));
    for (int i = 0; i < getNumberOfCards(); i++) {
	int index = rand() % getNumberOfCards();
	Card *tmpCard = cards[i];
	cards[i] = cards[index];
	cards[index] = tmpCard;
    }
}

