/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#ifndef __COMMON_TASKBAR_FUNCTIONS_H__
#define __COMMON_TASKBAR_FUNCTIONS_H__


#include <qstring.h>


bool getArg( QString &line, const QString &arg, QString **var );
bool parseFileForArg( const QString &file, const QString &arg, QString **var );
void parseMenuFile( const QString &file, QString **Name, QString **Icon=NULL, QString **Exec=NULL, QString **Type=NULL, QString **Comment=NULL);
void parseOptionsFile( const QString &file, QString **UseWidePopupMenu, QString **PopupMenuSidePixmap=NULL, QString **StartButtonIsFlat=NULL, QString **StartButtonPixmap=NULL, QString **UseMRUList=NULL);
void executeFile( QString c );


#ifdef QT_NO_QWS_MULTIPROCESS
// static apps should also always be single apps
#ifndef SINGLE_APP
#define SINGLE_APP
#endif
// ### this is used for some hackery to test if there exists a compiled in
// class of the given menu item for single static apps like on the cassiopia
bool commandExists( const QString &name );
#endif // QT_NO_QWS_MULTIPROCESS


#endif // __COMMON_TASKBAR_FUNCTIONS_H__

