/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#include <qwindowsystem_qws.h>
#include <qmainwindow.h>
#include <qapplication.h>
#include "desktop.h"
#include "info.h"
#include "taskbar.h"


Desktop::Desktop() :
    QWidget( 0, 0, WStyle_Tool | WStyle_Customize )
{
    Background *bg = new Info( this );

    int displayw = qApp->desktop()->width();
    int displayh = qApp->desktop()->height();

    setGeometry( 0, 0, displayw, displayh );
    
    TaskBar *t = new TaskBar;
    QSize sz = t->sizeHint();
    t->setGeometry( 0, displayh-sz.height(), displayw, sz.height() );
    t->show();

    bg->setGeometry( 0, 0, displayw, displayh-sz.height() );
}


