/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#ifndef __MRU_LIST_H__
#define __MRU_LIST_H__


#include <qframe.h>
#include <qpushbutton.h>
#include <qtoolbutton.h>
#include <qpainter.h>
#include <pixmaploader.h>
#include "applnk.h"


class StartMenu;


#define ARRAY_SIZE(x)	    ( (int) ( sizeof((x)) / sizeof((x)[0]) ) )


class MRUList : public QFrame
{
public:
    MRUList( QWidget *parent, StartMenu *startMenu );
    virtual QSize sizeHint() const;
    void addTask( AppLnk *appLnk );

protected:
    void mousePressEvent(QMouseEvent *e);
    void mouseMoveEvent(QMouseEvent *e);
    void mouseReleaseEvent(QMouseEvent *e);
    void paintEvent( QPaintEvent *event );

private:
    unsigned int numberOfIcons;
    AppLnk *mruAppList[7];
    int selected;
    int oldsel;
    StartMenu *menu;
};


#endif // __MRU_LIST_H__

