/**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Palmtop Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/
#include <qapplication.h>
#include <qlayout.h>
#include <qlist.h>
#include <qmessagebox.h>
#include <qpainter.h>
#include <qpopupmenu.h>
#include <qpushbutton.h>
#include <qtoolbar.h>
#include <qwsevent_qws.h>

#include "pixmaploader.h"
#include "taskbar.h"
#include "common.h"
#include "startmenu.h"
#include "sidething.h"
#include "inputmethods.h"
#include "wait.h"
#include "battery.h"
#include "launcherclock.h"


#define AddButton( p, x, y, png ) \
    QPushButton *x##_pb_##y = new QPushButton( p /*  "t", (QWidget*)(x##_box->parent()) */ ); \
    x##_pb_##y->setPixmap( QPixmap( PixmapLoader::findPixmap( #png ) ) ); \
    x##_pb_##y->setFocusPolicy(NoFocus); \
    x##_pb_##y->setFlat( TRUE ); \
    x##_box->addWidget( x##_pb_##y );


TaskBar::TaskBar() : QHBox(0, 0, WStyle_Customize | WStyle_Tool | WStyle_StaysOnTop | WGroupLeader)
{
    new StartMenu( this );
    new InputMethods( this );
//    new QuickLauncher( this );

/*
    QFrame *quickLauncher = new QFrame( this );
    setStretchableWidget( quickLauncher );
    QHBoxLayout *ql_box = new QHBoxLayout( quickLauncher, 0, 0, "quicklauncher" );
    AddButton( quickLauncher, ql, 1, filebrowser_icon );
    AddButton( quickLauncher, ql, 2, textedit_icon );
    AddButton( quickLauncher, ql, 3, help_icon );
*/

    QWidget* space = new QWidget(this);
    setStretchFactor( space, 1 );

    new Wait( this );

    //QFrame *sysTray = new QFrame( this );
    //sysTray->setFrameStyle( QFrame::Panel | QFrame::Sunken );
    //QHBoxLayout *st_box = new QHBoxLayout( sysTray, 0, 0, "systray" );
    //st_box->setMargin( 1 );
/*
    AddButton( sysTray, st, 1, system_icon );
    AddButton( sysTray, st, 2, settings_icon );
*/

    BatteryMeter *bm = new BatteryMeter( this );
    LauncherClock *clock = new LauncherClock( this );
    //LauncherClock *clock = new LauncherClock( sysTray );
    //st_box->addSpacing( 4 );
    //st_box->addWidget( clock );
    //st_box->addSpacing( 4 );
}


void TaskBar::run()
{
    QMessageBox mb( "Run", "Type the name of a program, folder, document,\n"
	"or an Internet resource and Qt will open it for you.", 
	QMessageBox::Information, 1, 2, 3,
	this, "Run", TRUE, WStyle_DialogBorder );
    mb.setIconPixmap( PixmapLoader::findPixmap( "exec" ) );
    mb.setButtonText( 3, "Browse..." );
    mb.exec();
}


void TaskBar::shutdown()
{
//    exit(0);
}


